## sound-gambit-0.7-3.src.tar.gz

=== Makefile ===
PREFIX ?= /usr/local
bindir = $(PREFIX)/bin
mandir = $(PREFIX)/share/man/man1

PKG_CONFIG ?= pkg-config
CXXFLAGS ?= -Wall -O3 -ffast-math

VERSION?=$(shell (git describe --tags HEAD 2>/dev/null || echo "v0.7") | sed 's/^v//')

###############################################################################

ifeq ($(shell $(PKG_CONFIG) --exists sndfile || echo no), no)
  $(error "http://www.mega-nerd.com/libsndfile/ is required - install libsndfile1-dev")
endif

CPPFLAGS+=-DVERSION=\"$(VERSION)\"
CXXFLAGS+=`$(PKG_CONFIG) --cflags sndfile`
LOADLIBES=`$(PKG_CONFIG) --libs sndfile` -lm

all: sound-gambit

man: sound-gambit.1

sound-gambit: sound-gambit.cc peaklim.cc upsampler.cc

sound-gambit.1: sound-gambit
	help2man -N -n 'Audio File Peak Limiter' -o sound-gambit.1 ./sound-gambit

clean:
	rm -f sound-gambit

install: install-bin install-man

uninstall: uninstall-bin uninstall-man

install-bin: sound-gambit
	install -d $(DESTDIR)$(bindir)
	install -m755 sound-gambit $(DESTDIR)$(bindir)

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/sound-gambit
	-rmdir $(DESTDIR)$(bindir)

install-man:
	install -d $(DESTDIR)$(mandir)
	install -m644 sound-gambit.1 $(DESTDIR)$(mandir)

uninstall-man:
	rm -f $(DESTDIR)$(mandir)/sound-gambit.1
	-rmdir $(DESTDIR)$(mandir)

.PHONY: all clean install uninstall man install-man install-bin uninstall-man uninstall-bin

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

pkgname=sound-gambit
pkgver=0.7
pkgrel=3
pkgdesc="Audio File Peak Limiter"
arch=(x86_64)
url="https://github.com/x42/sound-gambit"
license=(GPL3)
groups=(pro-audio)
depends=(
  gcc-libs
  glibc
  libsndfile
)
source=($url/archive/v$pkgver/$pkgname-v$pkgver.tar.gz)
sha512sums=('2d701b7c2f855b9f3e04764b7d64595bdd5a2cafb1cccb5a1bb1ffb9afa8baa52c57085b442c769154feeb5da468430c190145f12056458b230a36ce8c7c5057')
b2sums=('b4de703324d6a41b5f02981131ff40c593cc66099c17b497ee16004c3353b67d91633abce9dad461c54c0930e7803470d9f25c644a4f87b9bf71c46e0a8148be')

build() {
  make -C $pkgname-$pkgver
}

package() {
  make PREFIX=/usr DESTDIR="$pkgdir/" install -C $pkgname-$pkgver
  install -vDm 644 $pkgname-$pkgver/README.md -t "$pkgdir/usr/share/doc/$pkgname"
}
